# Ogre::_ConfigOption Struct Reference
General

Packages the details of a configuration option. More...

`#include <OgreConfigOptionMap.h>`

List of all members.

## Public Attributes

String | name
String | currentValue
StringVector | possibleValues
bool | immutable

## Detailed Description

Packages the details of a configuration option.

Remarks:
  Used for RenderSystem::getConfigOptions. If immutable is true, this option must be disabled for modifying.

Definition at line 50 of file OgreConfigOptionMap.h.

## Member Data Documentation

String Ogre::_ConfigOption::currentValue

Definition at line 53 of file OgreConfigOptionMap.h.

bool Ogre::_ConfigOption::immutable

Definition at line 55 of file OgreConfigOptionMap.h.

String Ogre::_ConfigOption::name

Definition at line 52 of file OgreConfigOptionMap.h.

StringVector Ogre::_ConfigOption::possibleValues

Definition at line 54 of file OgreConfigOptionMap.h.

The documentation for this struct was generated from the following file:

- OgreConfigOptionMap.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun May 8 2011 20:28:11